{% load static %}

<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=0.8">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>Alghi Story 9</title>

    <link rel="stylesheet" type="text/css" href="{% static 'css/bootstrap.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'home/style.css' %}">
</head>

<body>
    <div class="container d-flex">
        <div class="align-self-center w-100">
            <div class="login-box">
                <h2 class="text-center">Alghi Story 9</h2>
                <hr class="mb-2">
                <h2 class="text-center pb-2">Login</h2>
                {% if failed %}
                <div class="alert alert-danger mb-2" role="alert">
                    Wrong username/password
                </div>
                {% endif %}
                {% if needlogin %}
                <div class="alert alert-warning mb-2" role="alert">
                    You need to log in first
                </div>
                {% endif %}
                {% if loggedout %}
                <div class="alert alert-success mb-2" role="alert">
                    Logout successful
                </div>
                {% endif %}
                <form action="login/" method="POST">
                    {% csrf_token %}
                    <div class="form-group">
                        <label for="inputUsername">Username</label>
                        <input type="text" name="username" class="form-control" id="inputUsername" aria-describedby="usernameHelp" placeholder="Enter username">
                    </div>
                    <div class="form-group">
                        <label for="inputPassword">Password</label>
                        <input type="password" name="password" class="form-control" id="inputPassword" aria-describedby="passwordHelp" placeholder="Password">
                    </div>
                    <button type="submit" class="btn btn-primary">Login</button>
                </form>
            </div>
        </div>
    </div>

    <script src="{% static 'js/jquery.slim.min.js' %}"></script>    
    <script src="{% static 'js/bootstrap.bundle.min.js' %}"></script>
</body>

</html>